image: python:latest
pages:
  stage: deploy
  script:
    - pip install mkdocs-material
    - mkdocs build --site-dir public
  artifacts:
    paths:
      - public
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
# image: python:3.8-buster

# before_script:
#   - pip install -r requirements.txt

# test:
#   stage: test
#   script:
#   - mkdocs build --strict --verbose --site-dir test
#   artifacts:
#     paths:
#     - test
#   except:
#   - master

# pages:
#   stage: deploy
#   script:
#   - mkdocs build --strict --verbose
#   artifacts:
#     paths:
#     - public
#   only:
#   - master
